WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

PHP Version Finder

— Дополнения к WorldWideScripts.net

Подпишитесь на наш канал, чтобы оставаться в курсе событий!

Новинка! Следуйте за нами, как вы хотите!


PHP Version Finder - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting

Подпишись на меня в Твиттере Follow Me On G + Follow Me On CodeCanyon Демо

Демо - версия - Non Database (калека)
Демо - версия - Database (калека)
Демонстрационные калечат! Мы поспешило истинную версию каждой функции и расширения.

PHP версии Finder - Обновлен об 1.0.3c 12/9/2010

Найти какую версию PHP требует ваш сценарий. Когда его спросили, какая версия PHP необходима для запуска наших сценариев у нас не было окончательного ответа. Мы создали этот скрипт для определения версии PHP, а затем мы взяли его на другой уровень, ища устаревшие функции. Но мы не остановились только на этом. Мы включили PHP расширений и языковые конструкции. Мы почти назвали это хорошо, но тогда нам было интересно... сколько раз мы использовали эти функции. Чрезмерное использование той же функции можно разлагать на производительность. Мониторинг, сколько раз функция используется может помочь определить, является ли ", созданный пользователем Функция" может быть создан, чтобы уменьшить код и увеличить производительность.

обнаружение

PHP версии Finder треков: 3044 Функции PHP, 2260 PHP Extensions, 23 Язык конструкты, 19 альтернативных предложений, 7 Советы / хитрости / Notes. (Плюс 69 Экспериментальный, 20 Устаревшие, 47 "SVN" функции)
Код не должен быть полным, ни функционировать. Он даже не имеет смысла. До тех пор пока он находится между <? PHP и?> Это будет оцениваться. Калека Демо-версия - Демонстрация была калекой, чтобы помешать людям использовать его, а не закупать его.

Стоп Гадание!

По правде говоря - большинство разработчиков "шар-парк", какая версия PHP требуется напомнить несколько "ключевых" функций, которые они использовали. С версии PHP Finder вы можете знать наверняка, что на самом деле требуется PHP версии!
Не Угадай! - Запуск PHP версии Finder на вашем сценарии, чтобы знать наверняка, что verions из PHP требуется для работы вашего скрипта!

Устаревшие Обнаружение

PHP версии Finder позволяет вам знать, если какие-либо функции, которые вы использовали устарели.
Обнаружение Устаревшее - Проверьте сценарии для устаревших функций

Две версии

Версии PHP Finder не требует базы данных. Тем не менее, для тех из вас, кто предпочел бы использовать базу данных, сценарий действительно включает версию базы данных.
Optionhal База данных - PHP версия искатель не требует базы данных, однако, альтернативная версия поставляется для тех, кто хочет использовать базу данных.
Почему две версии?
Это все сводится к цифрам. Если есть много PHP функций, то NON версия базы данных быстрее. Если есть только несколько функций, версия базы данных быстрее. Насколько быстрее? Ну, это измеряется в микросекундах. Так что на самом деле не заметно. После того, как мы сделали версию базы данных, мы решили, что не стоит усилий, поскольку его производительность не было заметно отличается. Мы решили включить его, потому что он был уже построен - халява, если Вам нравится.

Монтаж

Установка проста. Загрузить каталог, редактировать две настройки, и вы сделали.
Установочная - 1 Загрузить каталог на сервер, редактировать один конфигурационный файл, и вы готовы к работе!

входные

Вы можете загрузить файл с вашего компьютера, сканировать файл или весь каталог на сервере, или код вставки в коробку для обработки.
Несколько входов - Вы можете загрузить файл, сканировать каталог или проверить блок кода.

Альтернативные предложения

Если PHP версии Finder находит функции, устаревшие, это даст вам альтернативные предложения, которые могли бы заменить устаревшую функцию.
Альтернативные предложения - Вы можете сделать свой сценарий Например:
если вы используете file_put_contents (который требует PHP 5), PHP версии Finder даст вам знать, что вы могли бы использовать вместо FWRITE, которые могли бы снизить требуемую версию до PHP 4. Не только это, но есть записка, прилагаемая к file_put_contents, который показывает вам код, чтобы использовать, чтобы сделать file_put_contents обратную совместимость.

Покупка PHP версии Finder СЕЙЧАС!

Сделайте жизнь проще! Найти устаревших функций, получить обратно совместимы предложения и узнать, какая версия PHP необходима для запуска скриптов
Купить сейчас - облегчить жизнь, найти устаревшие функции, получить обратную совместимость предложения и узнать, какая версия PHP необходима для запуска скриптов.

Текущие возможности (V 1.0.0) - 12/1/2010

  • Необязательно базы данных
  • Устаревшие Обнаружение
  • Файл Загрузить Обработка
  • Обработка каталогов
  • Pasted обработки кода
  • автозаполнения
  • Синтаксис Highlighter
  • 3044 Функции PHP
  • 2260 PHP Extensions
  • 23 Язык Формирует
  • 19 Альтернативные предложения
  • 7 Советы / Трюки / Примечания
  • Плюс 69 Экспериментальные функции
  • Плюс 20 Устаревшие функции
  • Плюс 47 "SVN" / неизвестные функции

Обновление v 1.0.1 12/3/2010

  • Неподвижные предупреждения Уведомление
  • Исправлена ​​ошибка "неопределенные переменные" Ошибки
  • Исправлены орфографические ошибки
  • Обновленный файл справки, чтобы отразить изменения
  • Добавлено лицензирование Объяснение
  • Вымытый "Report File"

Обновление v 1.0.2 12/4/2010

  • Неподвижные предупреждения Уведомление
  • Исправлена ​​ошибка "неопределенные переменные" Ошибки
  • Обновленный файл справки, чтобы отразить изменения

Обновление v 1.0.3c 12/9/2010

  • Подчищены код
  • Переписана как статистика подсчитываются.
  • Переписана "Report File"

Скачать
Другие компоненты в этой категорииВсе компоненты этого автора
КомментарииЧасто задаваемые вопросы и ответы

Свойства

созданный:
3 дек 10

Последнее обновление:
10 дек 10

Высокое разрешение:
Нет

Совместимые браузеры:
IE7, IE8, Safari, Opera

файлы, включенные:
JavaScript JS, HTML, CSS, PHP, SQL

Версия ПО:
PHP 4.x, 5.x PHP, PHP 5.0 - 5.2, PHP 5.3, MySQL 5.x

Ключевые слова

электронной коммерции, электронной коммерции, Все детали, осуждается предупреждение, PHP версия, подсветка синтаксиса